# Generated by Django 2.2 on 2019-04-09 08:07

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Status',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(max_length=256)),
            ],
        ),
        migrations.CreateModel(
            name='Team',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('team', models.ManyToManyField(to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Proyecto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=256)),
                ('fecha_creacion', models.DateField(default=None)),
                ('fecha_entrega', models.DateField(blank=True, default=None, null=True)),
                ('descripcion', models.CharField(max_length=256)),
                ('id_lider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('id_status', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='home.Status')),
                ('team', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='home.Team')),
            ],
        ),
    ]
